<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of sisotool module
 * Copyright (C) 2016 - INRIA - Serge Steer
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * For more information, see the COPYING file which you should have received
 * along with this program.
-->
<refentry xml:id="sisotoolOptimDefaults" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>sisotoolOptimDefaults</refname>

    <refpurpose>creates and initialize the <link
    linkend="optim_settings_data">optimization settings data
    structure</link>.</refpurpose>
  </refnamediv>

  <refsection>
    <title>Synopsis</title>

    <synopsis>optimSettings = sisotoolOptimDefaults(Designs,EditorsSettings,AnalysersSettings) </synopsis>
  </refsection>

  <refsection>
    <title>Arguments</title>

    <variablelist>
      <varlistentry>
        <term>Designs</term>

        <listitem>
          <para>The <link linkend="sisotoolDesignsData">Designs data
          structure</link>.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>EditorsSettings</term>

        <listitem>
          <para>The <link linkend="Editors_data">Editors settings data
          structure</link>.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>AnalysersSettings</term>

        <listitem>
          <para>The <link linkend="Analysers_data">Analysers settings data
          structure</link>.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>optimSettings</term>

        <listitem>
          <para>The <link linkend="Optim_data">Optimization settings data
          structure</link>.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>Creates and initialize the <link
    linkend="optim_settings_data">optimization settings data
    structure</link>.</para>
  </refsection>

  <refsection>
    <title>Called functions</title>

    <informaltable border="1">
          <tr>
            <td>
              <link linkend="sisotoolGetArchiSpecs">
                <function>sisotoolGetArchiSpecs</function>
              </link>
            </td>

            <td>returns the characteristics of the selected
            architecture.</td>
          </tr>

          <tr>
            <td>
              <link linkend="sisotoolDefinedReqs">
                <function>sisotoolDefinedReqs</function>
              </link>
            </td>

            <td>returns the array of active requirements for an editor or
            an analyser.</td>
          </tr>
    </informaltable>
  </refsection>
</refentry>
